Package org.eclipse.microprofile.rest.client.tck.providers

# Class ThreadedClientResponseFilter

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.ThreadedClientResponseFilter

All Implemented Interfaces:
  `jakarta.ws.rs.client.ClientResponseFilter`

public class ThreadedClientResponseFilter extends Object implements jakarta.ws.rs.client.ClientResponseFilter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RESPONSE_THREAD_ID_HEADER`
`static final String`
`RESPONSE_THREAD_NAME_HEADER`

## Constructor Summary

Constructors
Constructor
Description
`ThreadedClientResponseFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext, jakarta.ws.rs.client.ClientResponseContext clientResponseContext)`
`String`
`getResponseThreadId()`
`String`
`getResponseThreadName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RESPONSE_THREAD_ID_HEADER

public static final String RESPONSE_THREAD_ID_HEADER

See Also:
  - Constant Field Values

### RESPONSE_THREAD_NAME_HEADER

public static final String RESPONSE_THREAD_NAME_HEADER

See Also:
  - Constant Field Values

## Constructor Details

### ThreadedClientResponseFilter

public ThreadedClientResponseFilter()

## Method Details

### filter

public void filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext, jakarta.ws.rs.client.ClientResponseContext clientResponseContext) throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientResponseFilter`
Throws:
  `IOException`

### getResponseThreadId

public String getResponseThreadId()

### getResponseThreadName

public String getResponseThreadName()